PostgreSQL 7.4beta4 Documentation
Prev | Fast Backward |  | Fast Forward | Next

# pg_lo_read

## Name

pg_lo_read -- read from a large object

## Synopsis

    pg_lo_read conn descriptor bufVar len

## Description

`pg_lo_read` reads at most len bytes from a large object into a variable named bufVar.

## Arguments

conn

  The handle of a database connection in which the large object exists.

descriptor

  A descriptor for the large object from `pg_lo_open`.

bufVar

  The name of a buffer variable to contain the large object segment.

len

  The maximum number of bytes to read.

## Return Value

None

Prev | Home | Next
pg_lo_close | Up | pg_lo_write